%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.6007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    High speed arbitrary size integer math
License:    Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.999.817
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: gmp-devel
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires: perl-devel
# Module Runtime

# Test Suite

%{?perl_default_filter}

%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS="vendor"
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%license LICENSE
%doc BUGS CHANGES CREDITS LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*

%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.600.700-3.mga8
+ Revision: 1594859
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.600.700-2.mga8
+ Revision: 1536132
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 tv <tv> 1.600.700-1.mga8
+ Revision: 1453300
- update to 1.6007

* Tue Aug 27 2019 tv <tv> 1.600.600-3.mga8
+ Revision: 1434209
- relax & simplify BR on Math::BigInt
- BR perl-Math-BigInt
- rebuild with perl-5.30
+ tmb <tmb>
- rebuild for perl 5.30

* Thu Oct 11 2018 tv <tv> 1.600.600-1.mga7
+ Revision: 1319699
- new release

* Fri Sep 21 2018 umeabot <umeabot> 1.600.500-4.mga7
+ Revision: 1293420
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.600.500-3.mga7
+ Revision: 1250699
- add more BRs for testsuite
+ guillomovitch <guillomovitch>
- rebuild for perl 5.28

* Thu May 10 2018 shlomif <shlomif> 1.600.500-1.mga7
+ Revision: 1228169
- update to 1.6005

* Wed Feb 14 2018 shlomif <shlomif> 1.600.400-4.mga7
+ Revision: 1201246
- fix BR
- bump rel
- fix BR
- Rebuild for new perl

* Mon Jul 24 2017 tv <tv> 1.600.400-2.mga7
+ Revision: 1130032
- bump release so that BS let it pass

* Mon Jul 24 2017 sander85 <sander85> 1.600.400-1.mga7
+ Revision: 1130029
- update to 1.6004
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Feb 04 2017 shlomif <shlomif> 1.600.300-1.mga6
+ Revision: 1084833
- New version + rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.510.0-4.mga6
+ Revision: 1029566
- Rebuild for perl 5.22.2

* Sat Jun 18 2016 tv <tv> 1.510.0-3.mga6
+ Revision: 1022058
- add more BRs for testsuite
- use %%license

* Fri Apr 29 2016 shlomif <shlomif> 1.510.0-1.mga6
+ Revision: 1007963
- update to 1.51

* Fri Apr 15 2016 shlomif <shlomif> 1.490.0-1.mga6
+ Revision: 1002344
- update to 1.49

* Fri Dec 18 2015 shlomif <shlomif> 1.470.0-1.mga6
+ Revision: 911743
- New version 1.47

* Mon Sep 28 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 884689
- update to 1.43

* Sun Aug 23 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 868502
- update to 1.40

* Fri Jun 26 2015 tv <tv> 1.380.0-8.mga6
+ Revision: 844959
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.380.0-7.mga6
+ Revision: 841485
- Fix missing file in prev commit
- Rebuild for the new perl-5.22.0

* Sat Oct 18 2014 umeabot <umeabot> 1.380.0-6.mga5
+ Revision: 787996
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-5.mga5
+ Revision: 742679
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.380.0-4.mga5
+ Revision: 735623
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 685349
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.380.0-2.mga5
+ Revision: 631430
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 1.380.0-1.mga5
+ Revision: 616276
- update to 1.38

* Sat Oct 19 2013 umeabot <umeabot> 1.370.0-6.mga4
+ Revision: 524877
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.370.0-5.mga4
+ Revision: 431621
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-4.mga3
+ Revision: 369563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.370.0-3.mga3
+ Revision: 250944
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 1.370.0-2.mga3
+ Revision: 250910
- rebuild for perl 5.16

* Mon Sep 26 2011 jquelin <jquelin> 1.370.0-1.mga2
+ Revision: 148460
- update to 1.37

* Sun Jun 12 2011 sander85 <sander85> 1.360.0-2.mga2
+ Revision: 104777
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 61604
- update to 1.36
- mageia rebuild
- cleaning spec file
- imported package perl-Math-BigInt-GMP


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.0
+ Revision: 403853
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.24-5mdv2009.0
+ Revision: 257780
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.24-4mdv2009.0
+ Revision: 245827
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.24-2mdv2008.1
+ Revision: 152125
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2008.1
+ Revision: 78162
- new version


* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.18-2mdk
- Fix According to perl Policy
	-Source URL
	- URL
- use mkrel

* Thu Oct 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.18-1mdk
- initial  Mandriva package

